# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface IPerson

All Known Implementing Classes:
  CommentAuthor, LastModifiedBy, Person, SidewikiAuthor

    public interface IPerson

Shared person interface.

Method Summary
`java.lang.String` `getEmail()` Email address.
`java.lang.String` `getName()` Human-readable name.
`java.lang.String` `getNameLang()` Language of name
`java.lang.String` `getUri()` Uri associated with the person

Method Detail

### getName

    java.lang.String getName()

  Human-readable name.

### getNameLang

    java.lang.String getNameLang()

  Language of name

### getEmail

    java.lang.String getEmail()

  Email address.

### getUri

    java.lang.String getUri()

  Uri associated with the person